Page MenuHomePhabricator

urldecode dropped during StringFunctions-ParserFunctions merger
Closed, ResolvedPublic

Description

Author: Blindwanderer

Description:
During the resolution of #6455 urldecode was dropped.

I think this happened because in the comments someone falsely stated that both urldecode & urlencode were both built in functions already exposed and could subsequently dropped.

There are three solutions, either make urldecode a built-in parser function, make a custom extension to expose it, or add it to ParserFunctions.


Version: unspecified
Severity: normal

Details

Reference
bz19940

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:44 PM
bzimport set Reference to bz19940.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jul 26 2009, 1:10 PM

Fixed in r67044

Bultro reopened this task as Open.Dec 3 2015, 3:47 PM
Bultro set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 3:47 PM
Bultro added a subscriber: Bultro.Dec 3 2015, 3:48 PM

Reopened, as currently there is no "urldecode" in parser functions or other magic words. If I am wrong please document it.

Aklapper closed this task as Resolved.Dec 4 2015, 3:33 PM
Aklapper claimed this task.

@Bultro: Please create a new task with steps to reproduce instead. Thank you!